KExecPropsPlugin class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KExecPropsPlugin Class Reference

Used to edit the files containing [Desktop Entry] Type=Application. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KExecPropsPlugin:

[legend]
Collaboration diagram for KExecPropsPlugin:

[legend]
List of all members.

## Public Slots
void | slotBrowseExec ()
## Public Member Functions
| KExecPropsPlugin (KPropertiesDialog *_props)
| Constructor.
virtual void | applyChanges ()
| Applies all changes to the file.
## Static Public Member Functions
bool | supports (KFileItemList _items)

## Detailed Description

Used to edit the files containing [Desktop Entry] Type=Application.

Such files are used to represent a program in kpanel and kfm.

Definition at line 518 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KExecPropsPlugin::KExecPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 1630 of file kpropertiesdialog.cpp. References KCompletion::addItem(), QGridLayout::addMultiCellWidget(), KDialogBase::addPage(), QGridLayout::addWidget(), KPropsDlgPlugin::changed(), QFile::close(), KGlobalSettings::CompletionAuto, QObject::connect(), KPropertiesDialog::dialog(), QString::fromLatin1(), QString::isNull(), QFile::open(), KPropsDlgPlugin::properties, KConfigBase::readBoolEntry(), KConfigBase::readEntry(), KConfigBase::readPathEntry(), KCompletionBase::setAutoDeleteCompletionObject(), QLabel::setBuddy(), QCheckBox::setChecked(), QGridLayout::setColStretch(), QGroupBox::setColumnLayout(), KLineEdit::setCompletionMode(), KLineEdit::setCompletionObject(), KConfigBase::setDesktopGroup(), KConfigBase::setDollarExpansion(), KCompletion::setOrder(), QLineEdit::setText(), QCheckBox::setText(), QButton::setText(), KCompletion::Sorted, and KDialog::spacingHint().

## Member Function Documentation

void KExecPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 1845 of file kpropertiesdialog.cpp. References QFile::close(), QString::fromLatin1(), QCheckBox::isChecked(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KPropsDlgPlugin::properties, KConfigBase::setDesktopGroup(), KMessageBox::sorry(), QLineEdit::text(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:16:28 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001